Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359404 - [RGW:NFS]:- Timestamp for directories (rgw buckets) which were created before ganesha instantiation is too old
Summary: [RGW:NFS]:- Timestamp for directories (rgw buckets) which were created before...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: rc
: 2.2
Assignee: Matt Benjamin (redhat)
QA Contact: Hemanth Kumar
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1383917 1412948
TreeView+ depends on / blocked
 
Reported: 2016-07-23 19:21 UTC by shylesh
Modified: 2017-07-30 15:48 UTC (History)
8 users (show)

Fixed In Version: RHEL: ceph-10.2.5-7.el7cp Ubuntu: ceph_10.2.5-3redhat1xenial
Doc Type: Bug Fix
Doc Text:
.Buckets no longer have incorrect time stamps Previously, buckets created by the Simple Storage Service (S3) API on the Ceph Object Gateway before mounting the Ganesha NFS interface had incorrect time stamps when viewed from NFS. With this update, the NFS service uses time stamps that are based on the correct times of creation or modification of buckets. As a result, buckets created by the S3 API no longer have incorrect time stamps.
Clone Of:
Environment:
Last Closed: 2017-03-14 15:44:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0514 normal SHIPPED_LIVE Red Hat Ceph Storage 2.2 bug fix and enhancement update 2017-03-21 07:24:26 UTC
Ceph Project Bug Tracker 17367 None None None 2016-09-21 21:00:04 UTC

Description shylesh 2016-07-23 19:21:58 UTC
Description of problem:
Few buckets were created with objects from s3 apis on rgw. Later when we instantiate ganesha and mounted using nfs mount . Now observe the timestamp for these directories (rgw buckets) it will be too old.

for ex :

[root@magna110 mnt]# ll
total 0
drwxrwxrwx. 3 root       root       0 Jan  1  1970 another-missed-hellonew-another-newad-bucket-creation
drwxrwxrwx. 3 root       root       0 Jan  1  1970 hellonew-another-newad-bucket-creation
drwxrwxrwx. 3 root       root       0 Jan  1  1970 missed-hellonew-another-newad-bucket-creation
drwxrwxrwx. 3 4294967294 4294967294 0 Jul 23 13:11 nfsbucket


observe timestamp for first three directories its "Jan 1 1970" . but buckets created later has proper time stamp.


mount command used
====================
mount -t nfs -o nfsvers=4.1,sync,noauto,soft,proto=tcp magna116.ceph.redhat.com:/ /mntr

Version-Release number of selected component (if applicable):
 ceph-radosgw-10.2.2-26.el7cp.x86_64
nfs-ganesha-rgw-2.3.2-2.el7cp.x86_64

Comment 2 Matt Benjamin (redhat) 2016-07-25 15:34:00 UTC
Agree, the timestamp for these buckets -should- be an RGW timestamp, not 0.  Not sure if this can be changed before 2.1.

Comment 5 Ken Dreyer (Red Hat) 2016-09-21 20:26:10 UTC
Matt, what ticket in tracker.ceph.com corresponds to this issue?

Comment 6 Matt Benjamin (redhat) 2016-09-21 20:59:07 UTC
(In reply to Ken Dreyer (Red Hat) from comment #5)
> Matt, what ticket in tracker.ceph.com corresponds to this issue?

I've just created http://tracker.ceph.com/issues/17367 for it.

Comment 7 Matt Benjamin (redhat) 2016-09-21 21:30:50 UTC
Proposed fix in
https://github.com/ceph/ceph/pull/11181

Comment 8 Ken Dreyer (Red Hat) 2017-01-20 23:30:56 UTC
Resolved upstream in v10.2.5

Comment 14 errata-xmlrpc 2017-03-14 15:44:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0514.html


Note You need to log in before you can comment on or make changes to this bug.